Subject: Re: [patch] Convert sockets_in_use to use per_cpu areas

From: "David S. Miller" <[email-masked]>
Date: Mon, 23 Dec 2002 16:23:51 -0800 (PST)

From: Chris Wedgwood <[email-masked]>
   Date: Mon, 23 Dec 2002 16:00:48 -0800

   On Mon, Dec 23, 2002 at 12:16:32PM -0800, David S. Miller wrote:
   
   > You have to provide an explicit initializer for DEFINE_PER_CPU
   > declarations or you break some platforms with older GCC's which
   > otherwise won't put it into the proper section.
   
   I wonder if "some platforms with older GCC's" will ever have these
   issues resolved...

I still don't have gcc-3.2.1 working properly on sparc64.

I hope to have it working soon, but this does mean that 2.6.x
cannot deprecate it, whereas 2.7.x certainly can.